import { Type } from '@modules/newauthentication/core/domain/username.types';
import { IsEnum, IsNotEmpty, IsString } from 'class-validator';

export class UsernameDto {
  @IsString()
  name: string;

  @IsEnum(Type)
  @IsNotEmpty()
  type: Type;
}
